# epochcli

CLI tool for updating and launching [Project Epoch](https://www.project-epoch.net/) on Linux & macOS.

## TODO

- improve config generation
- add ability to launch Epoch after an update

## Instructions
For Linux, a `wine` prefix with `dxvk` installed works great, or you can use something like Lutris or Faugus-launcher

For macOS, the [Kegworks Wineskin port](https://github.com/Kegworks-App/Kegworks) works great

2. Install `epochcli` by either
   1. Download the latest binary from the [releases](https://git.burkey.co/eburk/epochcli/releases) page 
   2. If you have the `go` toolchain installed, you can run `go install git.burkey.co/eburk/epochcli` to install to your `$GOROOT`
   3. Compile the source yourself
3. Run `epochcli` once. This will create a config file at `$HOME/.config/epochcli/config.toml`. Update the variables with the appropriate information
4. Run `epochcli` again. It will download the patch files from Epoch's servers to your Wow directory and start the game. You can also pass the -u switch to only update if you use a launcher like Lutris, etc

## Issues

If you have any issues, [email me](mailto:evan@burkey.co) or ping `Battlehammer` on the Epoch discord